2008-03-10  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.22.1

==================== 2.22.0 ====================

2008-03-10  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: Version 2.22.0.

2008-03-06  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.22.0

==================== 2.21.93 ====================

2008-03-06  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: Version 2.21.93.

2008-02-28  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Remove hard requirement on esound,
	as we use the gnome-sound APIs, and let the
	gnome-settings-daemon launch the sound server

2008-02-26  Olav Vitters  <olav@bkor.dhs.org>

	* configure.in: post-release bump to 2.21.93

==================== 2.21.92 ====================

2008-02-26  Olav Vitters  <olav@bkor.dhs.org>

	* NEWS:
	* README: Version 2.21.92.

2008-02-20  Vincent Untz  <vuntz@gnome.org>

	* configure.in: require gnome-keyring 2.21.92
	* gnome-session/gsm-keyring.c: (gsm_keyring_daemon_start): use
	gnome_keyring_daemon_prepare_environment_sync(), and set appropriate
	g-k environment variables
	Fix bug #503278.
	Based on patch by Stef Walter <stef@memberwebs.com>

2008-02-11  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.21.92

==================== 2.21.91 ====================

2008-02-11  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: Version 2.21.91.

2008-01-28  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.21.91

==================== 2.21.90 ====================

2008-01-28  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: Version 2.21.90.

2008-01-15  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.21.90

==================== 2.21.5 ====================

2008-01-14  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: Version 2.21.5.

2007-11-18  Lucas Rocha  <lucasr@gnome.org>

	* gnome-session/Makefile.am, gnome-session/gsm-xrandr.c, 
	gnome-session/main.c: remove gsm_set_display_properties() call and 
	xrandr related code as this is now handled by gnome-settings-daemon 
	See bug #434982.

2007-11-13  Vincent Untz  <vuntz@gnome.org>

	Move session .desktop file from GDM to gnome-session.
	Patch by William Jon McCann <mccann@jhu.edu>
	Fix bug #493535.

	* data/gnome.desktop.in: new file
	* data/Makefile.am: updated 

2007-10-15  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.20.2

==================== 2.20.1 ====================

2007-10-15  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: Version 2.20.1.

2007-09-20  Sebastian Dröge  <slomo@circular-chaos.org>

	* configure.in: Update Gtk requirement to >= 2.11.1 because of
	gdk_window_set_opacity. (Fixes: #478553)

2007-09-17  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.20.1

==================== 2.20.0 ====================

2007-09-17  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: Version 2.20.0.

2007-09-04  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.20.0

==================== 2.19.92 ====================

2007-09-03  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: Version 2.19.92.

2007-08-31  Vincent Untz  <vuntz@gnome.org>

	* MAINTAINERS: update to new format

2007-08-13  Lucas Rocha  <lucasr@gnome.org>

	* configure.in: post-release bump to 2.19.91

==================== 2.19.90 ====================

2007-08-13  Lucas Rocha  <lucasr@gnome.org>

	* NEWS:
	* README: Version 2.19.90.

2007-07-30  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.19.90

==================== 2.19.6 ====================

2007-07-30  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: Version 2.19.6.

2007-07-08  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.19.5

==================== 2.19.5 ====================

2007-07-08  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: Version 2.19.5.

2007-07-08  Vincent Untz  <vuntz@gnome.org>

	* configure.in: use %e (instead of %d) to get the day of the month
	since there's no leading 0 there, and use sed to remove the leading 0
	in date +%m.
	Fix compilation breaking on some dates (bug #454797)

2007-06-18  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.19.5

==================== 2.19.4 ====================

2007-06-18  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: Version 2.19.4.

2007-06-18  Vincent Untz  <vuntz@gnome.org>

	* configure.in: define GNOME_SESSION_TARBALL_DAY,
	GNOME_SESSION_TARBALL_MONTH, and GNOME_SESSION_TARBALL_YEAR in a
	POSIX-compliant way. Needed for bug #444670.

2007-06-14  Vincent Untz  <vuntz@gnome.org>

	* configure.in: require glib 2.13.0

2007-06-03  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.19.4

==================== 2.19.3 ====================

2007-06-03  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: Version 2.19.3.

2007-05-13  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.19.3

==================== 2.19.2 ====================

2007-05-13  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: Version 2.19.2.

2007-05-09  Vincent Untz  <vuntz@gnome.org>

	* configure.in: we don't need libgnome-desktop anymore

2007-05-09  Vincent Untz  <vuntz@gnome.org>

	* configure.in: add --with-time-utility

2007-05-06  Vincent Untz  <vuntz@gnome.org>

	* configure.in: small fixes, create bzip2 tarballs, require glib
	2.12.0
	Based on patch by Christian Persch <chpe@gnome.org>

2007-05-06  Vincent Untz  <vuntz@gnome.org>

	* configure.in: make it possible to redefine libexecdir when running
	make.
	Fix bug #420283. Patch by Andreas Hanke <andreas.hanke@gmx-topmail.de>

2007-05-06  Vincent Untz  <vuntz@gnome.org>

	* configure.in: don't check for xrdb
	Fix bug #420313. Patch by Andreas Hanke <andreas.hanke@gmx-topmail.de>

2007-04-13  Bastien Nocera  <hadess@hadess.net>

	* configure.in: Remove check for usleep

2007-03-12  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.18.1

==================== 2.18.0 ====================

2007-03-12  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: Version 2.18.0.

2007-03-11  Christian Kirbach  <Christian.Kirbach@googlemail.com>

        * data/session-properties.desktop.in.in:
        Removed invalid category.

2007-02-26  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.18.0

==================== 2.17.92 ====================

2007-02-26  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: Version 2.17.92.

2007-02-20  Kjartan Maraas  <kmaraas@gnome.org>

	* MAINTAINERS: Add Vincent, remove Mark.
	* Makefile.am: Dist MAINTAINERS.

2007-02-19  Sebastien Bacher  <seb128@ubuntu.com>

	* data/session-properties.desktop.in.in: 
	use "X-GNOME-PersonalSettings" desktop category (Fixes: #409407)

2007-02-12  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.17.92

==================== 2.17.91 ====================

2007-02-12  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: Version 2.17.91.

2007-01-22  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.17.91

==================== 2.17.90.1 ====================

2007-01-22  Vincent Untz  <vuntz@gnome.org>

	* configure.in:
	* NEWS:
	* README: Version 2.17.90.1.

2007-01-21  Vincent Untz  <vuntz@gnome.org>

	* data/Makefile.am: install default.session and not default.session.in

2007-01-21  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.17.91

==================== 2.17.90 ====================

2007-01-21  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: Version 2.17.90.

2007-01-21  Vincent Untz  <vuntz@gnome.org>

	* data/Makefile.am: fix distcheck

2007-01-21  Vincent Untz  <vuntz@gnome.org>

	* data/session-properties.desktop.in.in: use new icon for the desktop
	file

2007-01-17  Vincent Untz  <vuntz@gnome.org>

	* configure.in:
	* data/Makefile.am:
	* data/icons: add icon for session properties
	Fix bug #396181
	Icons provided by Jakub Steiner <jimmac@ximian.com>

2007-01-17  Vincent Untz  <vuntz@gnome.org>

	* data/Makefile.am: forgot this file

2007-01-17  Vincent Untz  <vuntz@gnome.org>

	* configure.in:
	* data/*:
	* gnome-session/gnome-session.schemas.in:
	* gnome-session/default.in:
	* gnome-session/session-properties.desktop.in.in:
	* gnome-session/gnome-splash.png:
	* gnome-session/Makefile.am: move data files to data/ subdir

	* configure.in: set warnings to maximum

2007-01-08  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.17.90

==================== 2.17.5 ====================

2007-01-08  Vincent Untz  <vuntz@gnome.org>

	* configure.in:
	* NEWS:
	* README: Version 2.17.5.

2007-01-06  Vincent Untz  <vuntz@gnome.org>

	* configure.in: improve autodetection of the default directory for
	at-spi-registryd

2007-01-06  Vincent Untz  <vuntz@gnome.org>

	* gnome-session.spec.in:
	* configure.in:
	* Makefile.am: kill the spec file since nobody has updated it for a
	very long time

2007-01-06  Vincent Untz  <vuntz@gnome.org>

	* configure.in: use gnome-common to define the deprecated flags

2007-01-06  Vincent Untz  <vuntz@gnome.org>

	* configure.in: add a configure option to specify the directory of
	at-spi-registryd
	Fix bug #383428, based on patch by Ariel Rios <ariel@gnu.org>

2006-12-01  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Post release bump.

======================= 2.17.3 =======================

2006-11-15  Vincent Untz  <vuntz@gnome.org>

	* man/gnome-wm.1: Updated (we don't update gconf anymore)

2006-11-15  Vincent Untz  <vuntz@gnome.org>

	* man/gnome-session-save.1: Document --silent option, and small
	update. Bug #149447

2006-11-14  Vincent Untz  <vuntz@gnome.org>

	* configure.in: and make this work by default (ie, automatically
	detect whether to use it or not)

2006-11-14  Vincent Untz  <vuntz@gnome.org>

	* configure.in: allow enabling/disabling of tcpwrappers
	Patch by Saleem Abdulrasool <compnerd@gentoo.org>
	Fix bug #326242

2006-11-13  Vincent Untz  <vuntz@gnome.org>

	* configure.in: better fix

2006-11-13  Vincent Untz  <vuntz@gnome.org>

	* configure.in: try to work around issues on old distros
	Should fix bug #372685

2006-11-06  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.17.3.

==================== 2.17.2 ====================

2006-11-06  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: Version 2.17.2.

2006-11-06  Vincent Untz  <vuntz@gnome.org>

	* configure.in: add configure switch to disable esd support
	Fix bug #310979.
	Patch by Leonardo Boshell <p@kapcoweb.com>

2006-10-17  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Fix build. (Frederic Peters).
	Closes bug #362541.

2006-10-08  Vincent Untz  <vuntz@gnome.org>

	* configure.in: check for libXau existence
	Fix bug #314079

2006-10-02  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.16.2.

==================== 2.16.1 ====================

2006-10-02  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: Version 2.16.1.

2006-09-26  Kjartan Maraas  <kmaraas@gnome.org>

	* man/default.session.5.in:
	* man/gnome-session.1.in:
	* man/gnome-wm.1:
	Man page fixes from debian.

2006-09-04  Vincent Untz  <vuntz@gnome.org>

	* .cvsignore: updated

2006-09-04  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.16.1.

==================== 2.16.0 ====================

2006-09-04  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: Version 2.16.0.

2006-08-30  Vincent Untz  <vuntz@gnome.org>

	* gnome-session/gnome-splash.png: update splash screen for 2.16
	(really, this is the 2.14 one without the version number)

2006-08-22  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.16.0.

==================== 2.15.92 ====================

2006-08-22  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: Version 2.15.92.

2006-08-08  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.15.92.

==================== 2.15.92 ====================

2006-08-08  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: Version 2.15.91.

2006-07-26  Vincent Untz  <vuntz@gnome.org>

	* configure.in: add check for gnome-keyring

2006-07-24  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.15.91.

==================== 2.15.90 ====================

2006-07-24  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: Version 2.15.90.

2006-07-11  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.15.5.

==================== 2.15.4 ====================

2006-07-11  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: Version 2.15.4.

2006-07-11  Vincent Untz  <vuntz@gnome.org>

	* configure.in: really add dbus dependency

2006-07-11  Vincent Untz  <vuntz@gnome.org>

	* configure.in: require intltool 0.35.0

2006-06-25  Sergey Udaltsov <svu@gnome.org>

	* configure.in, gnome-session/gsm-gsd.c: added DBUS dependency,
	require gnome-settings-daemon.pc from pkgconfig,
	now g-s-d is launched using DBUS interface.

2006-05-24  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-session/gsm-remove-client.c: (session_initialized):
	Patch from Fedora to fix a critical warning. Closes bug #341115.
	* po/ChangeLog: Fix a typo.

2006-05-10  Claudio Saavedra  <csaavedra@alumnos.utalca.cl>

	* configure.in: Use IT_PROG_INTLTOOL.
	* po/LINGUAS: New file listing translations. (#337982).

2006-04-17  Kjartan Maraas  <kmaraas@gnome.org>

	* MAINTAINERS: Update some.
	* configure.in: Remove obsolete entry for no_NO
	* po/no.po: And the translation.

2006-04-24  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.15.2.

==================== 2.15.1 ====================

2006-04-24  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: Version 2.15.1.

2006-04-24  Vincent Untz  <vuntz@gnome.org>

	* configure.in: fix cosmetic typo. Fix bug #316677

2006-04-10  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.14.2.

==================== 2.14.1 ====================

2006-04-10  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: Version 2.14.1.

2006-03-24  Tommi Vainikainen  <thv@iki.fi>

	* configure.in (ALL_LINGUAS): Added Dzongkha (dz).

2006-03-20  Vladimer Sichinava  <vlsichinava@gmail.com>

        * configure.in: Added "ka" (Georgian) to ALL_LINGUAS

2006-03-13  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.14.1.

==================== 2.14.0 ====================

2006-03-13  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: Version 2.14.0.

2006-02-27  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.13.92.

==================== 2.13.92 ====================

2006-02-27  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: Version 2.13.92.

2006-02-25  Chao-Hsiung Liao  <j_h_liau@yahoo.com.tw>

	* configure.in: Add "zh_HK" to ALL_LINGUAS.
	
2006-02-13  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.13.92.

==================== 2.13.91 ====================

2006-02-13  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: Version 2.13.91.

2006-01-27  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.13.91.

==================== 2.13.90 ====================

2006-01-27  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: Version 2.13.90.

2005-01-16  Rodrigo Moya <rodrigo@novell.com>

	* gnome-session/save.c (read_desktop_entries_in_dir): fixed patching
	conflict.

2006-01-16  Rodrigo Moya <rodrigo@novell.com>

	* gnome-session/startup-programs.c:
	* gnome-session/session-properties-capplet.[ch]:
	* gnome-session/save.c: implement program autostart with .desktop
	files in known directories.

	* configure.in: require gnome-desktop-2.0.

2006-01-16  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.13.90.

==================== 2.13.5 ====================

2006-01-16  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README: Version 2.13.5.

2006-01-06  Vincent Untz  <vuntz@gnome.org>

	* configure.in: post-release bump to 2.13.5.

==================== 2.13.4 ====================

2006-01-06  Vincent Untz  <vuntz@gnome.org>

	* NEWS:
	* README:
	* configure.in: Version 2.13.4.

2005-12-15  Elijah Newren  <newren@gmail.com>

	* configure.in: Uh, we're at version 2.13.3 now, not 2.12.1

2005-11-04  Thomas Wood  <thos@gnome.org>

	* gnome-session/gnome-splash.png: 2.13 development splash

2005-09-24  Erdal Ronahi  <erdal.ronahi@gmail.com>

	* configure.in: Added "ku" (Kurdish) to ALL_LINGUAS

2005-09-06  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.12.1.
	
==================== 2.12.0 ====================

2005-09-06  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.12.0.

2005-08-09  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.11.92.

==================== 2.11.91 ====================

2005-08-09  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.11.91.
	
2005-07-26  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.11.91

==================== 2.11.90 ====================

2005-07-26  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.11.90

2005-07-25  Mark McLoughlin  <mark@skynet.ie>

	Remove gnome-smproxy. See:
	  http://mail.gnome.org/archives/desktop-devel-list/2005-July/msg00527.html	

	* smproxy/*: remove.
	
	* Makefile.am: remove smproxy from SUBDIRS.
	
	* configure.in: remove smproxy.
	
	* README: remove mention of smproxy.
	
	* man/: remove smproxy manpages.

2005-07-03  Aivars Kalvans  <aivars.kalvans@inbox.lv>

	* configure.in: smproxy requires glib-2.0, does not require libgnome
	* smproxy/save.c: (WriteProxyFile):
	* smproxy/smproxy.c: (ProxySaveYourselfPhase2CB), (main):
	Fix memory leaks, remove libgnome dependency. Closes bug#308205.

2005-06-01  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "hy" to ALL_LINGUAS.

2005-05-17  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.11.1.

==================== 2.11.1 ====================

2005-05-17  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.11.1.
	
2005-05-17  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-session/headers.h:
	* gnome-session/ice.c: (startup_clean_ice), (initialize_ice),
	(read_authfile): Clean up the ICE code slightly. Patch from Iain
	Holmes. Closes bug #154042.

2005-05-06  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: bump version to 2.11.1 - 2.10.x
	releases continue on the gnome-2-10 branch.

2005-03-31  Steve Murphy  <murf@e-tools.com>

        * configure.in: Added "rw" to ALL_LINGUAS.

2005-03-07  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.10.1.

==================== 2.10.0 ====================

2005-03-07  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.10.0.

2005-03-03  Adi Attar  <aattar@cvs.gnome.org>

	* configure.in: Added "xh" to ALL_LINGUAS.

2005-01-25  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-session/gnome-session.schemas.in: Improved string
	from Bryan Clark. Closes bug #153910.

2005-01-11  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.9.5.

==================== 2.9.4 ====================

2005-01-11  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.9.4.

2005-01-10  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: remove --reboot-command and
	--halt-command options.

2004-12-02  Dwayne Bailey  <dwayne@translate.org.za>

	* configure.in: Added "zu" to ALL_LINGUAS.

2004-11-30  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.9.3.

==================== 2.9.2 ====================

2004-11-30  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.9.2.

2004-11-29  Christoffer Olsen  <co@deworks.net>

	* configure.in: 
	Generates gnome-session/session-properties.desktop.in from
	AC_OUTPUT

2004-11-27  Dwayne Bailey  <dwayne@translate.org.za>

	* configure.in: Added "nso" to ALL_LINGUAS.

2004-11-09  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: bump version to 2.9.1. 2.8.x
	development continues on the gnome-2-8 branch.

2004-10-12  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.8.2.

==================== 2.8.1 ====================

2004-10-12  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.8.1.

2004-10-07  James Henstridge  <james@jamesh.id.au>

	* acinclude.m4: remove, since the only macro in it wasn't being
	used anymore.

	* Makefile.am: get rid of intltool stuff on "make distclean"

	* configure.in: modernise configure script a bit.

	* autogen.sh (REQUIRED_AUTOMAKE_VERSION): request Automake 1.7.

2004-09-13  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.8.1.

==================== 2.8.0 ====================

2004-09-13  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.8.0.

2004-09-10  Jakub Steiner <jimmac@ximian.com>

	* gnome-session/gnome-splash.png: 2.8
	
2004-08-30  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.7.93.

==================== 2.7.92 ====================

2004-08-30  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.7.92.

2004-08-16  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Add nb to ALL_LINGUAS.

2004-08-16  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.7.92.

==================== 2.7.91 ====================

2004-08-16  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.7.91.

2004-08-13  Gurban M. Tewekgeli <gmtavakkoli@yahoo.com>
	* po/tk.po: Added Turkmen translation.
	* configure.in: Added "tk" to ALL_LINGUAS.

2004-07-19  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.7.5.

==================== 2.7.4 ====================

2004-07-19  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.7.4.

2004-07-12  Pawan Chitrakar  <pawan@nplinux.org>

	* configure.in: Added ne Nepali in ALL_LINGUAS

2004-07-06  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.7.4.

==================== 2.7.3 ====================

2004-07-06  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.7.3.

2004-05-31  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.7.2.
	
==================== 2.7.1 ====================

2004-05-31  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.7.1.

2004-05-13  Mark McLoughlin  <mark@skynet.ie>
	
	* configure.in: bump version to 2.7.1. 2.6.x development
	is now on the gnome-2-6 branch.

2004-04-19  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.6.2

==================== 2.6.1 ====================

2004-04-19  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.6.1.
	
2004-04-09  Guntupalli Karunakar  <karunakar@freedomink.org>

        * configure.in: Added "gu" (Gujarati) to ALL_LINGUAS.

2004-04-09  John C Barstow  <jbowtie@amathaine.com>

	* configure.in: Added "mi" to ALL_LINGUAS.

2004-03-31  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "af" to ALL_LINGUAS.

2004-03-22  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: post-release bump to 2.6.1

==================== 2.6.0 ====================

2004-03-22  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.6.0.

2004-03-18  Guntupalli Karunakar  <karunakar@freedomink.org>

	* configure.in: Added "mr" for Marathi to ALL_LINGUAS.

2004-03-15  Alexander Winston  <alexander.winston@comcast.net>

	* configure.in: Added en_CA to ALL_LINGUAS.

==================== 2.5.92 ====================

2004-03-15  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.5.92.

==================== 2.5.91 ====================

2004-03-09  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.5.91.

2004-03-04  Jakub Steiner <jimmac@ximian.com>

	* gnome-session/gnome-splash.png: beta 2.6 splash

2004-03-04  Guntupalli Karunakar  <karunakar@freedomink.org>

        * configure.in: Added "pa" (Punjabi) to ALL_LINGUAS.

==================== 2.5.90 ====================

2004-02-23  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.5.90.

==================== 2.5.5 ====================

2004-02-16  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.5.5.

2004-02-08  Tomasz K?oczko <kloczek@pld.org.pl>

	* configure.in: Trivial cleanup: remove AC_SUBST(CFLAGS),
	  AC_SUBST(CPPFLAGS) and AC_SUBST(LDFLAGS). This variables are
	  substed by default.

2004-02-06  Robert Sedak  <robert.sedak@sk.htnet.hr>

        * configure.in: Added "hr" (Croatian) to ALL_LINGUAS.

==================== 2.5.4 ====================

2004-02-04  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.5.4.

2004-02-02  Alexander Winston  <alexander.winston@comcast.net>

	* acinclude.m4: Quoted definition of macro AM_PATH_ESD. Fixes
	#133224.

2004-02-02  Kjartan Maraas  <kmaraas@gnome.org>

	* gnome-session/main.c: (check_for_dns): Remove use
	of deprecated function. Closes bug #133164.

==================== 2.5.3 ====================

2004-01-14  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.5.3.

2004-01-14  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require gtk+ 2.3.x so we know we're not
	using the pangox backend anymore.

==================== 2.5.2 ====================

2003-12-08  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.5.2.

2003-12-06  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Look for gnome-keyring-daemon

2003-11-13  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: don't generate
	gnome-session/gnome-session.schemas.in.

==================== 2.5.1 ====================

2003-11-11  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.5.1.

2003-11-11  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: add a --enable-deprecated flag.

==================== 2.4.1 ====================

2003-10-14  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.4.1.

==================== 2.4.0 ====================

2003-09-09  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.4.0.

2003-09-06  Paisa Seeluangsawat  <paisa@users.sf.net>

        * configure.in: Added Thai (th) to ALL_LINGUAS.

==================== 2.3.90 ====================

2003-09-02  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.3.90.

==================== 2.3.7 ====================

2003-08-25  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.3.7.

==================== 2.3.6.2 ====================

2003-08-13  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.3.6.2.

2003-08-12  Thomas Vander Stichele <thomas at apestaart dot org>

        * configure.in: fix maintainer builds

==================== 2.3.6.1 ====================

2003-08-11  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.3.6.1.

==================== 2.3.6 ====================

2003-08-07  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.3.6.

==================== 2.3.4 ====================

2003-07-15  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.3.4.

2003-04-14  Shailesh Mittal <shailesh.mittal@wipro.com>
 
	* configure.in: Added option for enabling IPv6 support.
	Added checks for function getaddrinfo().
 
2003-07-09 John Fleck <jfleck@inkstain.net>

	* Makefile.am
	* configure.in
	Doh! Removing docs build stuff from the places I
	missed on the last checkin.

2003-07-09 John Fleck <jfleck@inkstain.net>
	removing:
	* xmldocs.make
	* sgmldocs.make
	* omf-install/Makefile.am
	* gnome-session/help/Makefile.am
	* gnome-session/help/C/Makefile.am
	* gnome-session/help/C/session-C.omf
	* gnome-session/help/C/session.sgml
	* gnome-session/help/C/figures/*.png
	* gnome-session/help/ja/Makefile.am
	* gnome-session/help/ja/session-C.omf
	* gnome-session/help/ja/session.sgml
	* gnome-session/help/ja/figures/*.png
	removing old docs cruft, fixes bug #113567

==================== 2.3.3.1 ====================

2003-07-04  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.3.3.1.

2003-06-21  Samúel Jón Gunnarsson  <sammi@techattack.nu>

	* configure.in: Added "is" in ALL_LINGUAS

2003-06-19  Pasupathi Duraisamy <pasupathi.duraisamy@wipro.com>

	* gnome-session/gsm-client-editor.c:
	* gnome-session/startup-programs.c:
	Allow only numeric values to Priority spin button.
	Fixes bugzilla bug #115352

2003-06-15  Joël Brich <joel.brich@laposte.net>

	* configure.in: Added "eo" to ALL_LINGUAS.

2003-06-09  Bill Haneman  <bill.haneman@sun.com

	* main.c:
	Check "accessibility" gconf key and call
	gsm_assistive_technologies_start if enabled.
	Implementation for #113307.

	* gnome-session/gsm-at-startup.h: New file.

	* gnome-session/gsm-at-startup.c: New file.
	Execute all of the assistive technologies in the
	/desktop/gnome/accessibility/startup/exec_ats gconf list.

==================== 2.3.3 ====================

2003-06-06  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: 2.3.3.

2003-05-20  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: 2.3.2.

2003-05-15  Mark McLoughlin  <mark@skynet.ie>

	* [sg|x]gmldocs.make: replace leading spaces with tabs.
	Fix from Art Haas.

2003-05-15  Masahiro Sakai  <sakai@tom.sfc.keio.ac.jp>

	* configure.in: call AC_CHECK_HEADERS and check sys/param.h.

2003-05-09  Telsa Gwynne  <hobbit@aloss.ukuu.org.uk>
                                                                                
        * configure.in: Added cy to ALL_LINGUAS

2003-05-06  Danilo Šegan  <dsegan@gmx.net>

	* configure.in: Removed "sp" and added "sr@Latn" to ALL_LINGUAS.

2003-05-04  Arvind Samptur <arvind.samptur@wipro.com>

	* configure.in: Version 2.3.1
	* NEWS update for 2.3.1

2003-04-22  Alexander Larsson  <alexl@redhat.com>

	* configure.in:
	Look for Xrandr.

2003-04-21  Taneem Ahmed <taneem@eyetap.org>

	* configure.in: Added "bn" to ALL_LINGUAS.

2003-04-02  Sergey V. Oudaltsov <sergey.oudaltsov@clients.ie>

	* gnome-session/splash-widget.c: primitive customization for 
        icons on startup. Just "better than nothing" solution.

2003-03-26  Arvind Samptur  <arvind.samptur@wipro.com>
	* configure.in: bump version  to 2.3.0.
	Guess, Mark missed that 2.3.0 release was on.

2003-03-14  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: bump version number to 2.3.1 and
	require gtk+ and libgnomeui >= 2.2.0.

2003-03-13  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "ml" to ALL_LINGUAS.

2003-02-20  Balamurali Viswanathan <balamurali.viswanathan@wipro.com>

	*acconfig.h: Added HAVE_GTK_MULTIHEAD for egg-screen-exec

2003-02-18  Roozbeh Pournader  <roozbeh@sharif.edu>

	* configure.in: Added "fa" to ALL_LINGUAS.

2003-02-17  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: bump up to 2.3.1. 2.2.x development
	is on the gnome-2-2 branch.

2003-02-09  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "kn" to ALL_LINGUAS.

2003-02-06  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "id" to ALL_LINGUAS.

2003-02-04  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.2.0.2.

2003-01-22  Christian Rose  <menthos@menthos.com>

	* configure.in: Added "mn" to ALL_LINGUAS.

2003-01-21  Thomas Vander Stichele <thomas at apestaart dot org>

        * configure.in: tell Makefile's about aclocal flags

2003-01-22  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.2.0.1.

2003-01-21  Jakub Steiner <jimmac@ximian.com>

	* gnome-session/gnome-splash.png: gnome 2.2 splash
	
2003-01-21  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.2.0.

2003-01-16  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Amharic (am), Arabic (ar) to ALL_LINGUAS

2003-01-06  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.1.90.

2002-12-17  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.1.5.

2002-12-10  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.1.4.

2002-12-10  Mark McLoughlin  <mark@skynet.ie>

	* man/gnome-session.1.in: apply patch
	from Alex Duggan to fixup reference
	to save-session. Fixes #100515.

2002-12-10  Mark McLoughlin  <mark@skynet.ie>

	* man/gnome-session-save.1: renamed from
	session-save.1 and apply patch from
	Christian Marillat. Fixes #100514.

	* man/Makefile.am:
	* man/default.session.5.in,
	  man/gnome-session-save.1,
	  man/gnome-session.1.in,
	  man/gnome-wm.1: moved here from
	gnome-session/gnome-session.

        * man/Makefile.am, gnome-session/Makefile.am,
	  configure.in: updated.

2002-11-28  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.1.3.

2002-11-04  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.1.2.

2002-11-03  Dmitry G. Mastrukov  <dmitry@taurussoft.org>

	* configure.in: Added Belarusian to ALL_LINGUAS

2002-10-14  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.1.1.

2002-10-02  Mark McLoughlin  <mark@skynet.ie>

	* configure.in:
	output gnome-session/gnome-session.schemas.in

2002-09-28  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.1.0.

2002-09-19  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: require gtk+ 2.1.0 for the
	multihead stuff.

2002-08-08  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: add check for gtk+ with multihead
	support.

2002-07-30  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: set version to 2.1.0. 2.0.x
	development is on the gnome-2-0 branch.

2002-07-30  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.0.3.

2002-07-30  Mark McLoughlin  <mark@skynet.ie>

	* man/gnome-libice-check.1:
	* man/gnome-libice-check.sgml:
	* man/gnome-login-check.1:
	* man/gnome-login-check.sgml: remove old man pages.

2002-07-25  jacob berkman  <jacob@ximian.com>

	* configure.in: bs.po file was never committed, so it from
	ALL_LINGUAS

2002-07-25  Pablo Saratxaga  <pablo@mandrakesoft.com>

	* configure.in: Added Bosnian (bs) to ALL_LINGUAS

2002-07-16  Michael Meeks  <michael@ximian.com>

	* configure.in: remove canvas check.

2002-07-15  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.0.2.

Fri Jul 12 10:07:29 2002  George Lebl <jirka@5z.com>

	* gnome-session/save-session.desktop.in,
	  gnome-session/session-properties.desktop.in: Add Encoding=UTF-8,
	  and add ';' to the end of the categories list as per the
	  standard

2002-07-12  Brian Cameron  <Brian.Cameron@sun.com>

	* configure.in
	Now support esd when it is installed via the --with-esd-dir
	configure option

2002-07-11  Brian Cameron  <Brian.Cameron@sun.com>

	* configure.in
	Now support gconf-sanity-check when it is installed in libexec.

2002-07-08  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: add check for rsh and define
	RSH_COMMAND.

2002-07-01  jacob berkman  <jacob@ximian.com>

	* configure.in: nuke login check stuffis

2002-06-21  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: enable compile warnings.

2002-06-19  jacob berkman  <jacob@ximian.com>

	* configure.in: check for esound, fix halt/reboot checks, and
	gereate LIBS for gnome-login-check and gnome-smproxy

2002-06-18  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.0.1.

2002-06-10  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 2.0.0.

2002-06-05  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 1.5.21.

2002-05-28  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 1.5.20.

2002-05-18  Kjartan Maraas  <kmaraas@gnome.org>

	* configure.in: Added "mk" to ALL_LINGUAS.
	
2002-05-16  Mark McLoughlin  <mark@skynet.ie>

	* HACKING, README: update to be a little more useful.

2002-05-13  Naba Kumar <kh_naba@users.sourceforge.net>

	* configure.in: Added hi in ALL_LINGUAS

2002-15-13  Glynn Foster <glynn.foster@sun.com>

	* configure.in: Version 1.5.19
	* NEWS: Update for 1.5.19

2002-05-13  jacob berkman  <jacob@ximian.com>

	* configure.in: check for gconftool

2002-04-29  Glynn Foster  <glynn.foster@sun.com>

	* NEWS: Update for 1.5.18.

2002-04-29  Glynn Foster <glynn.foster@sun.com

	* configure.in: Version 1.5.18.

2002-04-22  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 1.5.17.

2002-04-18  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: update our requirements so
	people aren't using crufty libraries.

2002-04-15  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 1.5.16.

2002-04-01  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 1.5.15.

2002-04-01  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 1.5.14.

2002-03-25  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 1.5.13.

2002-03-18  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 1.5.12.

2002-03-13  Gregory Leblanc  <gleblanc@linuxweasel.com>

	* gnome-session.spec.in:  Rewrite from Chris Chabot

2002-03-12  Shivram U  <shivaram.upadhyayula@wipro.com>

	* configure.in: Checking for X Development libraries explicitly.
	* gnome-session/Makefile.am : Added X_LIBS to the LD_ADD flags.
	* smproxy/Makefile.am : Added X_LIBS to the LDADD flags. Fixes #73882

2002-03-11  Glynn Foster  <glynn.foster@sun.com>

	* README: Update.
	* autogen.sh: Update.
	* gnome-session/ChangeLog: Update.

2002-02-25  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 1.5.11.

2002-02-21  Laszlo Peter  <laca@ireland.sun.com>

	* configure.in: find the correct path to the reboot/halt
	commands or let the user specify with --with-reboot-command
	and --with-halt-command.

	* gnome-session/Makefile.am: define HALT_COMMAND and REBOOT_COMMAND

	* gnome-session/logout.c: use the HALT_COMMAND and REBOOT_COMMAND
	macros instead of the hard coded paths.

	(reviewed by Mark McLoughlin <mark@skynet.ie>)

2002-02-19  Mark McLoughlin  <mark@skynet.ie>

	* man/Makefile.am: remove man pages for apps
	not installed by this package.

2002-02-18  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 1.5.10.

2002-02-13  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: Version 1.5.9.

2002-02-13  Mark McLoughlin  <mark@skynet.ie>

	* AUTHORS: update for authors of gsm and smproxy.

	* HACKING, MAINTAINERS: me and george for now.

	* README: upd.

	* configure.in: remove cruft.

	* Makefile.am, gnome-desktop.spec.in: rename spec file.

2002-02-12  Mark McLoughlin  <mark@skynet.ie>

	* configure.in: change GETTEXT_PACKAGE. Thanks Jacob.

2002-02-12  Mark McLoughlin  <mark@skynet.ie>

	gnome-session module split off from gnome-core.

        * Makefile.am, autogen.sh, configure.in: initial work
        to get things building.

